Bug 1567089 - Review Request: vmaf - Video Multi-Method Assessment Fusion
Summary: Review Request: vmaf - Video Multi-Method Assessment Fusion
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-13 12:08 UTC by Nicolas Chauvet (kwizart)
Modified: 2018-11-10 13:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-10 13:49:57 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Nicolas Chauvet (kwizart) 2018-04-13 12:08:36 UTC
Spec URL: http://dl.kwizart.net/review/vmaf.spec
SRPM URL: http://dl.kwizart.net/review/vmaf-1.3.3-1.20180407git510e257.fc26.src.rpm
Description: Video Multi-Method Assessment Fusion
Fedora Account System Username: kwizart

This package still has room for improvements, specially as it only build on x86_64 and they are some bundling issues. But here is the current version.

It's still questionable about either to use the shared version or only provide a static file as upstream does...

(this package will be used by ffmpeg, so tests will occur there).

Comment 1 Robert-André Mauchin 🐧 2018-04-13 19:27:26 UTC
Ha I used this extensively, it's great.

 - Should you also generate the python3-vmaf library from the python/ subdirectory? And install the python/scripts?


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "LGPL (v2 or later)", "Unknown or generated",
     "*No copyright* Apache", "CC0", "LGPL (v2.1)", "NTP", "BSD (3
     clause)", "BSD (2 clause)", "LGPL (v2.1 or later)", "*No copyright*
     Apache (v2.0)". 921 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/vmaf/review-
     vmaf/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 81920 bytes in 5 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in libvmaf
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 1454080 bytes in /usr/share
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: vmaf-1.3.3-1.20180407git510e257.fc29.x86_64.rpm
          libvmaf-1.3.3-1.20180407git510e257.fc29.x86_64.rpm
          libvmaf-devel-1.3.3-1.20180407git510e257.fc29.x86_64.rpm
          vmaf-debugsource-1.3.3-1.20180407git510e257.fc29.x86_64.rpm
          vmaf-1.3.3-1.20180407git510e257.fc29.src.rpm
vmaf.x86_64: W: only-non-binary-in-usr-lib
vmaf.x86_64: W: no-manual-page-for-binary vmafossexec
libvmaf.x86_64: W: spelling-error Summary(en_US) vmaf -> mafia
libvmaf.x86_64: W: spelling-error %description -l en_US vmaf -> mafia
libvmaf.x86_64: W: shared-lib-calls-exit /usr/lib64/libvmaf.so.0.0.0 exit@GLIBC_2.2.5
libvmaf-devel.x86_64: W: spelling-error Summary(en_US) vmaf -> mafia
libvmaf-devel.x86_64: W: spelling-error %description -l en_US vmaf -> mafia
libvmaf-devel.x86_64: W: only-non-binary-in-usr-lib
vmaf-debugsource.x86_64: W: no-documentation
5 packages and 0 specfiles checked; 0 errors, 9 warnings.

Comment 2 Robert-André Mauchin 🐧 2018-04-13 20:03:12 UTC
python2 package, not python3.

Comment 3 Nicolas Chauvet (kwizart) 2018-09-21 08:22:04 UTC
Spec URL: http://dl.kwizart.net/review/vmaf.spec
SRPM URL: http://dl.kwizart.net/review/vmaf-1.3.9-1.20180914gita654f6f.fc28.src.rpm
Description: Video Multi-Method Assessment Fusion

koji scratch build for f29
https://koji.fedoraproject.org/koji/taskinfo?taskID=29790799

I don't use the python binding yet, I only plan to use it via ffmpeg. But if you can have a working python3 package (given python2 start to be deprecated), I would welcome a patch.

Comment 4 Nicolas Chauvet (kwizart) 2018-09-21 09:04:33 UTC
Blocking FE-Legal as perceptual video algorithms might have any issue.

Comment 5 Tom "spot" Callaway 2018-10-03 17:01:00 UTC
I do not see any concerns. Lifting FE-Legal.

Comment 6 Nicolas Chauvet (kwizart) 2018-11-05 13:54:15 UTC
@Robert-André
Any remaining issue with this package ?

Comment 7 Robert-André Mauchin 🐧 2018-11-05 16:59:29 UTC
Sorry I didn't notice the mails for this.

No issue with the current package but I still think you should package the Python3 library as well.

Comment 8 Robert-André Mauchin 🐧 2018-11-05 17:00:26 UTC
I'll add the patch on my TODO list for next year, I'm swamped in Golang right now.

Comment 9 Gwyn Ciesla 2018-11-05 18:01:41 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/vmaf


Note You need to log in before you can comment on or make changes to this bug.